org.bouncycastle.jce.provider.test

## Class PKCS7SignedDataTest

- java.lang.Object
- - org.bouncycastle.jce.provider.test.PKCS7SignedDataTest

All Implemented Interfaces:
  Test

    public class PKCS7SignedDataTest
    extends java.lang.Object
    implements Test

### Constructor Summary

Constructors
Constructor and Description
`PKCS7SignedDataTest()`

### Method Summary

Methods
`TestResult` `checkCreation()` we generate a self signed certificate for the sake of testing - RSA - and then try signing some data.
`java.lang.String` `getName()`
`static void` `main(java.lang.String[] args)`
`TestResult` `parseTest(byte[] sample)`
`TestResult` `perform()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PKCS7SignedDataTest

    public PKCS7SignedDataTest()

### Method Detail

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `Test`

#### parseTest

    public TestResult parseTest(byte[] sample)

#### checkCreation

    public TestResult checkCreation()

we generate a self signed certificate for the sake of testing - RSA - and then try signing some data.

#### perform

    public TestResult perform()

Specified by:
  `perform` in interface `Test`

#### main

    public static void main(java.lang.String[] args)